Bug 48842

Summary: mod_log_config logs the full size of the file instead of how many bytes were transferred.
Product: Apache httpd-2 Reporter: David Korth <gerbilsoft>
Component: mod_log_configAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.14   
Target Milestone: ---   
Hardware: PC   
OS: Linux   

Description David Korth 2010-03-02 15:54:21 UTC
In Apache 2.0, the %b format parameter for mod_log_config only logged how many bytes were transferred for a given HTTP session. In Apache 2.2, it appears to log the full size of the requested file whether or not the full file was transferred. (For a continued file, e.g. wget --continue, it always shows the number of bytes remaining in the transfer.)

Example: Suppose file.bin is 10 MB.

wget http://example.com/file.bin, Ctrl-C at 2 MB - the HTTP log always shows 10 MB transferred.
wget --continue http://example.com/file.bin, Ctrl-C at 4 MB - the HTTP log always shows 8 MB transferred.
Comment 1 Stefan Fritsch 2010-03-10 21:38:23 UTC
Use %O if you want the actual bytes sent. This behaviour is documented:

http://httpd.apache.org/docs/2.2/mod/mod_log_config.html

But the page says it was introduced in 2.0, not 2.2. Are you sure it behaved differently in 2.0? If yes, maybe the documentation should be adjusted.
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:20 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.